Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.nurserostering.domain
Class ShiftType3DaysPattern

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.nurserostering.domain.Pattern
              org.drools.planner.examples.nurserostering.domain.ShiftType3DaysPattern

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class ShiftType3DaysPattern

extends Pattern

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.nurserostering.domain.Pattern
`code, weight`

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`ShiftType3DaysPattern()`

Method Summary
`ShiftType` | `getDayIndex0ShiftType()`
`ShiftType` | `getDayIndex1ShiftType()`
`ShiftType` | `getDayIndex2ShiftType()`
`void` | `setDayIndex0ShiftType(ShiftType dayIndex0ShiftType)`
`void` | `setDayIndex1ShiftType(ShiftType dayIndex1ShiftType)`
`void` | `setDayIndex2ShiftType(ShiftType dayIndex2ShiftType)`
`String` | `toString()`

Methods inherited from class org.drools.planner.examples.nurserostering.domain.Pattern
`getCode, getWeight, setCode, setWeight`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShiftType3DaysPattern

    public ShiftType3DaysPattern()

Method Detail

### getDayIndex0ShiftType

    public ShiftType getDayIndex0ShiftType()

### setDayIndex0ShiftType

    public void setDayIndex0ShiftType(ShiftType dayIndex0ShiftType)

### getDayIndex1ShiftType

    public ShiftType getDayIndex1ShiftType()

### setDayIndex1ShiftType

    public void setDayIndex1ShiftType(ShiftType dayIndex1ShiftType)

### getDayIndex2ShiftType

    public ShiftType getDayIndex2ShiftType()

### setDayIndex2ShiftType

    public void setDayIndex2ShiftType(ShiftType dayIndex2ShiftType)

### toString

    public String toString()

  Overrides:
    `toString` in class `Pattern`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.